<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Channel {{ channel.name }}</title>
    <style>
        .even { background-color: red; padding: 10px; margin: 5px 0; }
        .odd { background-color: green; padding: 10px; margin: 5px 0; }
    </style>
</head>
<body>
<p>The distributed messenger. <a href="{{ url_for('home_page') }}">List of channels.</a> </p>
{% if channel %}
    <h1>Channel {{ channel.name }}</h1>
    <p>This is the guessing game channel. Just start guessing numbers from 1 to 100. Please only enter integers!</p>
    {% for message in messages %}
        <div class="{{ 'odd' if loop.index0 % 2 else 'even' }}">
            <h2>{{ message.sender }}</h2>
            <p>{{ message.content }}</p>
            <p style="font-size: 60%">{{ message.timestamp }}</p>
        </div>
    {% endfor %}
{% else %}
    <h1>Channel not found</h1>
{% endif %}

<form action="post" method="post">
    <input type="hidden" name="channel" value="{{ channel.endpoint | urlencode }}">
    Sender: <input type="text" name="sender" id="sender"> <br>
    Message: <input type="text" name="content" id="content"> <br>
    <input type="submit" value="Post">
</form>

</body>
</html>
